GNU bug report logs - #57626
13.1.4; cases* environment doesn't let me use $

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: auctex; Reported by: Wierdl Máté <wierdlmate@HIDDEN>; dated Tue, 6 Sep 2022 14:55:03 UTC; Maintainer for auctex is bug-auctex@HIDDEN.

Message received at 57626 <at> debbugs.gnu.org:


Received: (at 57626) by debbugs.gnu.org; 14 Sep 2022 17:10:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 14 13:10:52 2022
Received: from localhost ([127.0.0.1]:55959 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oYVuW-0006Ig-9X
	for submit <at> debbugs.gnu.org; Wed, 14 Sep 2022 13:10:52 -0400
Received: from smtp1a.inetd.co.jp ([210.129.88.11]:41030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1oYVuR-0006IL-3X
 for 57626 <at> debbugs.gnu.org; Wed, 14 Sep 2022 13:10:50 -0400
Received: from localhost (110-133-211-201.rev.home.ne.jp [110.133.211.201])
 by smtp1a.inetd.co.jp (Postfix) with ESMTPA id 313602D7;
 Thu, 15 Sep 2022 02:10:44 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: Arash Esbati <arash@HIDDEN>
Subject: Re: bug#57626: 13.1.4; cases* environment doesn't let me use $
In-reply-to: <86fsgus8rw.fsf@HIDDEN>
References: <CAA7+TwMihto+nUwD=_VPh9H1vcNmDumFQ2ojc8KjnM4h3f7m0Q@HIDDEN>
 <86r10ntq36.fsf@HIDDEN> <29112.1662570821@localhost>
 <86k06cx4q3.fsf@HIDDEN> <46863.1662792099@localhost>
 <86y1urllqt.fsf@HIDDEN> <48290.1662799858@localhost>
 <CAA7+TwMR3VQ3OrEGS1UbB3SpDRkD1R4S+YbZ+taEpAagRtJvkQ@HIDDEN>
 <91885.1662971472@localhost> <86fsgus8rw.fsf@HIDDEN>
Comments: In-reply-to Arash Esbati <arash@HIDDEN>
 message dated "Wed, 14 Sep 2022 09:41:07 +0200."
X-Mailer: MH-E 8.6+git; nmh 1.7.1; GNU Emacs 28.1
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-ID: <25130.1663175442.1@localhost>
Date: Thu, 15 Sep 2022 02:10:43 +0900
Message-ID: <25132.1663175443@localhost>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57626
Cc: 57626 <at> debbugs.gnu.org,
 Wierdl =?iso-8859-1?Q?M=E1t=E9?= <wierdlmate@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Arash,

>>>>> Arash Esbati <arash@HIDDEN> writes:
> Ikumi Keita <ikumi@HIDDEN> writes:
>> I began to think that `TeX-insert-dollar' should behave the same way as
>> in non-math mode when `texmathp' thinks that math mode didn't start with
>> dollar(s), possibly with a warning message.

> Sure, we can relax the behavior of `TeX-insert-dollar', I don't object.
> Would it make sense to introduce a custom variable for this?

That's a reasonable idea. I'll work on this issue along that line.
However, it may take some time since I don't have much spare time now.

Best,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine




Information forwarded to bug-auctex@HIDDEN:
bug#57626; Package auctex. Full text available.

Message received at 57626 <at> debbugs.gnu.org:


Received: (at 57626) by debbugs.gnu.org; 14 Sep 2022 07:41:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 14 03:41:36 2022
Received: from localhost ([127.0.0.1]:53576 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oYN1c-0004iJ-5S
	for submit <at> debbugs.gnu.org; Wed, 14 Sep 2022 03:41:36 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58196)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash@HIDDEN>) id 1oYN1a-0004i6-Eb
 for 57626 <at> debbugs.gnu.org; Wed, 14 Sep 2022 03:41:35 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42746)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arash@HIDDEN>)
 id 1oYN1T-0007GD-GV; Wed, 14 Sep 2022 03:41:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=v0Gpocfop0OH/v0IYUOx+ig+rEXte/cnkQpx/YTMwz0=; b=pBXmFXGvpxeCwuLUgZPK
 1nSGhebHVQLBsfivCaAZkL5+YF91qKh2B/9wDI4mFNQecxx0s8jKgse4ZPPfy6dDVz90ALnlHD571
 CwFVZYyspl9/BCfRaGfShqiPbxxXe+DsIDtjxiYtM1M0SYEvtWLSRH6h3xPeoUF88KLccvpHxgrEC
 ECdUEWakekti0PJ+3Ruz3WCRQ3wBiuxW19Vv9fPGJpoMQ4dRF+EympytLW/v53hWBGbzdPRq9FwLx
 ilQ/jbRMnQpDYtQMHppsP63o5SZSxyiij1U8tteA/UWlDoABVMmz/X4X6t9s+rEN6Ro5IbFlH8i5y
 csA8dJXML/e9tg==;
Received: from pd9fb7965.dip0.t-ipconnect.de ([217.251.121.101]:53495
 helo=MUTANT)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arash@HIDDEN>)
 id 1oYN1S-0004Vz-QT; Wed, 14 Sep 2022 03:41:27 -0400
From: Arash Esbati <arash@HIDDEN>
To: Ikumi Keita <ikumi@HIDDEN>
Subject: Re: bug#57626: 13.1.4; cases* environment doesn't let me use $
In-Reply-To: <91885.1662971472@localhost> (Ikumi Keita's message of "Mon, 12
 Sep 2022 17:31:12 +0900")
References: <CAA7+TwMihto+nUwD=_VPh9H1vcNmDumFQ2ojc8KjnM4h3f7m0Q@HIDDEN>
 <86r10ntq36.fsf@HIDDEN> <29112.1662570821@localhost>
 <86k06cx4q3.fsf@HIDDEN> <46863.1662792099@localhost>
 <86y1urllqt.fsf@HIDDEN> <48290.1662799858@localhost>
 <CAA7+TwMR3VQ3OrEGS1UbB3SpDRkD1R4S+YbZ+taEpAagRtJvkQ@HIDDEN>
 <91885.1662971472@localhost>
Date: Wed, 14 Sep 2022 09:41:07 +0200
Message-ID: <86fsgus8rw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57626
Cc: 57626 <at> debbugs.gnu.org,
 Wierdl =?iso-8859-1?Q?M=E1t=E9?= <wierdlmate@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Keita,

Ikumi Keita <ikumi@HIDDEN> writes:

>>>>>> Wierdl M=E1t=E9 <wierdlmate@HIDDEN> writes:
>> In my opinion (just a longtime user's opinion), this direction of "let us
>> prevent the user from making a mistake as he types" doesn't seem essenti=
al,
>
> I feel similarly.
>
> I began to think that `TeX-insert-dollar' should behave the same way as
> in non-math mode when `texmathp' thinks that math mode didn't start with
> dollar(s), possibly with a warning message.

Sure, we can relax the behavior of `TeX-insert-dollar', I don't object.
Would it make sense to introduce a custom variable for this?

Best, Arash




Information forwarded to bug-auctex@HIDDEN:
bug#57626; Package auctex. Full text available.

Message received at 57626 <at> debbugs.gnu.org:


Received: (at 57626) by debbugs.gnu.org; 12 Sep 2022 08:31:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 12 04:31:18 2022
Received: from localhost ([127.0.0.1]:44061 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oXeqc-0008Rp-O0
	for submit <at> debbugs.gnu.org; Mon, 12 Sep 2022 04:31:18 -0400
Received: from smtp1a.inetd.co.jp ([210.129.88.11]:33320)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1oXeqa-0008Re-8p
 for 57626 <at> debbugs.gnu.org; Mon, 12 Sep 2022 04:31:17 -0400
Received: from localhost (110-133-211-201.rev.home.ne.jp [110.133.211.201])
 by smtp1a.inetd.co.jp (Postfix) with ESMTPA id CFCE32D7;
 Mon, 12 Sep 2022 17:31:13 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: Wierdl =?UTF-8?Q?M=C3=A1t=C3=A9?= <wierdlmate@HIDDEN>
Subject: Re: bug#57626: 13.1.4; cases* environment doesn't let me use $
In-reply-to: <CAA7+TwMR3VQ3OrEGS1UbB3SpDRkD1R4S+YbZ+taEpAagRtJvkQ@HIDDEN>
References: <CAA7+TwMihto+nUwD=_VPh9H1vcNmDumFQ2ojc8KjnM4h3f7m0Q@HIDDEN>
 <86r10ntq36.fsf@HIDDEN> <29112.1662570821@localhost>
 <86k06cx4q3.fsf@HIDDEN> <46863.1662792099@localhost>
 <86y1urllqt.fsf@HIDDEN> <48290.1662799858@localhost>
 <CAA7+TwMR3VQ3OrEGS1UbB3SpDRkD1R4S+YbZ+taEpAagRtJvkQ@HIDDEN>
Comments: In-reply-to Wierdl =?UTF-8?Q?M=C3=A1t=C3=A9?= <wierdlmate@HIDDEN>
 message dated "Sat, 10 Sep 2022 13:10:11 -0500."
X-Mailer: MH-E 8.6+git; nmh 1.7.1; GNU Emacs 28.1
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
Date: Mon, 12 Sep 2022 17:31:12 +0900
Message-ID: <91885.1662971472@localhost>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57626
Cc: 57626 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> Wierdl M=E1t=E9 <wierdlmate@HIDDEN> writes:
> In my opinion (just a longtime user's opinion), this direction of "let us
> prevent the user from making a mistake as he types" doesn't seem essentia=
l,

I feel similarly.

I began to think that `TeX-insert-dollar' should behave the same way as
in non-math mode when `texmathp' thinks that math mode didn't start with
dollar(s), possibly with a warning message.

What do others think?

Best,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine




Information forwarded to bug-auctex@HIDDEN:
bug#57626; Package auctex. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Sep 2022 18:10:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 10 14:10:35 2022
Received: from localhost ([127.0.0.1]:40380 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oX4w6-0000mi-QY
	for submit <at> debbugs.gnu.org; Sat, 10 Sep 2022 14:10:35 -0400
Received: from lists.gnu.org ([209.51.188.17]:52626)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wierdlmate@HIDDEN>) id 1oX4w1-0000mS-Gn
 for submit <at> debbugs.gnu.org; Sat, 10 Sep 2022 14:10:32 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34420)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <wierdlmate@HIDDEN>)
 id 1oX4w1-0005Qv-Bm
 for bug-auctex@HIDDEN; Sat, 10 Sep 2022 14:10:29 -0400
Received: from mail-wr1-x42b.google.com ([2a00:1450:4864:20::42b]:43707)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <wierdlmate@HIDDEN>)
 id 1oX4vz-0003li-M1
 for bug-auctex@HIDDEN; Sat, 10 Sep 2022 14:10:29 -0400
Received: by mail-wr1-x42b.google.com with SMTP id t7so8459086wrm.10
 for <bug-auctex@HIDDEN>; Sat, 10 Sep 2022 11:10:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:subject:message-id:date:from:in-reply-to:references:mime-version
 :from:to:cc:subject:date;
 bh=6GFYUF40cZCwDUPE/N1S3mtw0vuMOmJ1bUm6akCLdGI=;
 b=Np72id8qxEkZ2DYW1u6HRBcQmuu+PNpQ9l/7WexE+P359dhMQbRH51xNbAMDohi5BX
 rXw6HSOb38Y9hDOrYmP7fenKcVX7JE6riHFcjqmNdJFwDjaxRCuTh1NSteKDOc2Sd/MZ
 6dzwXkrffLc2Mu26TrTYwuUF/MOgv3PMEpMIgxdwBHDp4x82P8ufbN4+nY+uoZmxOQ0R
 lk3UhzMq5jT854HKJ36D8os/MHcbpPwe8yvhJfujWBr2hm5eURCtstFj3NjokkspCmWb
 CiPm2mKPun7Wg41u+BkGMUzvbVYR5a05/Jn1nmw5re526IesIas4B6ev/i4+45Xj2nqh
 IKmA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:subject:message-id:date:from:in-reply-to:references:mime-version
 :x-gm-message-state:from:to:cc:subject:date;
 bh=6GFYUF40cZCwDUPE/N1S3mtw0vuMOmJ1bUm6akCLdGI=;
 b=4G7JpgT+6axQdalm+ZRqV01y0IC4ikPjZpeNu5jRn/YJ8dNOoK5d3JJNXxdWLg+tlS
 r10utJKbz7Aj0Q3lNKDN5updsCSwSGr7op2W7Ee0HTFI0Eqp+FOzJnRN18B+Haezj/zu
 oRbc7dvCHfBRjqhIhUxkxYCD+nHEOJaIYt5QXBlQ3LE3W1Q44tP7vNNSCGzF5dsWUvW1
 vlsGNeLp4xyjPu/HNQJL8LV7IgxVbsBQO1dCwq2SHoDtp/X+MBXIsVAMyK20hx6VUGo5
 zLqB87PELRf7gKsZ1awXGLNiUeyglmlHRF7BITvFuTFxy4ssQd6Sp+Qfd1nULf9tWH47
 9PpA==
X-Gm-Message-State: ACgBeo042VKp4wDBmqsOACsSTZLm0Hm3/dOf4tJ+j0JxHRgyUHRZ25Aw
 mulLorBOa/UrwC/VVW+UVoKRjXJOSAUkGA/GtlhqssLH+Jgpmw==
X-Google-Smtp-Source: AA6agR73TsuOQMjgKvr0ZomXdSiaHLBhfQjnGPC9l1+ei4yXksqQ3BydpzyLuRF2KCCCOy+hQcGtYBIbW/49f/E5OoY=
X-Received: by 2002:a05:6000:1549:b0:225:64d0:a5c2 with SMTP id
 9-20020a056000154900b0022564d0a5c2mr10446742wry.87.1662833423765; Sat, 10 Sep
 2022 11:10:23 -0700 (PDT)
MIME-Version: 1.0
References: <CAA7+TwMihto+nUwD=_VPh9H1vcNmDumFQ2ojc8KjnM4h3f7m0Q@HIDDEN>
 <86r10ntq36.fsf@HIDDEN> <29112.1662570821@localhost> <86k06cx4q3.fsf@HIDDEN>
 <46863.1662792099@localhost> <86y1urllqt.fsf@HIDDEN>
 <48290.1662799858@localhost>
In-Reply-To: <48290.1662799858@localhost>
From: =?UTF-8?B?V2llcmRsIE3DoXTDqQ==?= <wierdlmate@HIDDEN>
Date: Sat, 10 Sep 2022 13:10:11 -0500
Message-ID: <CAA7+TwMR3VQ3OrEGS1UbB3SpDRkD1R4S+YbZ+taEpAagRtJvkQ@HIDDEN>
Subject: Re: bug#57626: 13.1.4; cases* environment doesn't let me use $
To: bug-auctex@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000008b575105e8569395"
Received-SPF: pass client-ip=2a00:1450:4864:20::42b;
 envelope-from=wierdlmate@HIDDEN; helo=mail-wr1-x42b.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--0000000000008b575105e8569395
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi, thank you for dealing with this.  The suggested C-q works fine for me.

I think it adds to the discussion that while AUCTeX prevents me from
entering "$", it happily allows me to enter the equivalent "\(" in an
equation environment.  I just did it:

\begin{equation}
  \label{eq:1}
  \(kkk\)
\end{equation}

This could be another workaround.

In my opinion (just a longtime user's opinion), this direction of "let us
prevent the user from making a mistake as he types" doesn't seem essential,
and it apparently leads to serious complications in implementation.   A
user can be really creative in making stupid mistakes but we do not expect
AUCTeX to prevent us from making them.  One error I repeatedly  make is
enter an equation environment in align (this is because I leave the cursor
at the wrong place when typing "C-c C-e").  AUCTeX lets me do similar stuff=
:

\begin{equation}
  \label{eq:1}
  \(kkk\)
  \begin{equation}
    \label{eq:2}

  \end{equation}
\end{equation}

It is similar in my mind  to autocorrect on a cell phone where I enter
something and autocorrect sends a different message.

Having said that, I emphasize that AUCTeX is fantastic, and I have been
using it in my work for decades.

M=C3=A1t=C3=A9


Ikumi Keita <ikumi@HIDDEN> ezt =C3=ADrta (id=C5=91pont: 2022. szept. =
10., Szo,
3:51):
>
> >>>>> Arash Esbati <arash@HIDDEN> writes:
> >> Then, how about adding supplementary instruction to the message which
> >> `TeX-insert-dollar' shows? For example,
> >> Math mode started with `...' cannot be closed with dollar.  You can
> >> insert it anyway by C-q $.
>
> > I'd suggest to say "You can insert it anyway by C-u $" which is more in
> > line with the docstring of `TeX-insert-dollar'.  Does it make sense?
>
> Yes, of course.
>
> Bye,
> Ikumi Keita
> #StandWithUkraine #StopWarInUkraine

--0000000000008b575105e8569395
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi, thank you for dealing with this.=C2=A0 The suggested C=
-q works fine for me.<br><br>I think it adds to the discussion that while A=
UCTeX prevents me from entering &quot;$&quot;, it happily allows me to ente=
r the equivalent &quot;\(&quot; in an equation environment.=C2=A0 I just di=
d it:<br><br>\begin{equation}<br>=C2=A0 \label{eq:1}<br>=C2=A0 \(kkk\)<br>\=
end{equation}<br><br>This could be another workaround.<br><br>In my opinion=
 (just a longtime user&#39;s opinion), this direction of &quot;let us preve=
nt the user from making a mistake as he types&quot; doesn&#39;t seem essent=
ial, and it apparently leads to serious complications in implementation. =
=C2=A0 A user can be really creative in making stupid mistakes but we do no=
t expect AUCTeX to prevent us from making them.=C2=A0 One error I repeatedl=
y =C2=A0make is enter an equation environment in align (this is because I l=
eave the cursor at the wrong place when typing &quot;C-c C-e&quot;).=C2=A0 =
AUCTeX lets me do similar stuff:<br><br>\begin{equation}<br>=C2=A0 \label{e=
q:1}<br>=C2=A0 \(kkk\)<br>=C2=A0 \begin{equation}<br>=C2=A0 =C2=A0 \label{e=
q:2}<br>=C2=A0 =C2=A0<br>=C2=A0 \end{equation}<br>\end{equation}<br><br>It =
is similar in my mind =C2=A0to autocorrect on a cell phone where I enter so=
mething and autocorrect sends a different message. <br><br>Having said that=
, I emphasize that AUCTeX is fantastic, and I have been using it in my work=
 for decades.<br><br>M=C3=A1t=C3=A9<br><br><br>Ikumi Keita &lt;<a href=3D"m=
ailto:ikumi@HIDDEN">ikumi@HIDDEN</a>&gt; ezt =C3=ADrta (id=C5=
=91pont: 2022. szept. 10., Szo, 3:51):<br>&gt;<br>&gt; &gt;&gt;&gt;&gt;&gt;=
 Arash Esbati &lt;<a href=3D"mailto:arash@HIDDEN">arash@HIDDEN</a>&gt; wr=
ites:<br>&gt; &gt;&gt; Then, how about adding supplementary instruction to =
the message which<br>&gt; &gt;&gt; `TeX-insert-dollar&#39; shows? For examp=
le,<br>&gt; &gt;&gt; Math mode started with `...&#39; cannot be closed with=
 dollar.=C2=A0 You can<br>&gt; &gt;&gt; insert it anyway by C-q $.<br>&gt;<=
br>&gt; &gt; I&#39;d suggest to say &quot;You can insert it anyway by C-u $=
&quot; which is more in<br>&gt; &gt; line with the docstring of `TeX-insert=
-dollar&#39;.=C2=A0 Does it make sense?<br>&gt;<br>&gt; Yes, of course.<br>=
&gt;<br>&gt; Bye,<br>&gt; Ikumi Keita<br>&gt; #StandWithUkraine #StopWarInU=
kraine</div>

--0000000000008b575105e8569395--




Information forwarded to bug-auctex@HIDDEN:
bug#57626; Package auctex. Full text available.

Message received at 57626 <at> debbugs.gnu.org:


Received: (at 57626) by debbugs.gnu.org; 10 Sep 2022 08:51:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 10 04:51:08 2022
Received: from localhost ([127.0.0.1]:36556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oWwCh-0004aP-PS
	for submit <at> debbugs.gnu.org; Sat, 10 Sep 2022 04:51:08 -0400
Received: from smtp1a.inetd.co.jp ([210.129.88.11]:56346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1oWwCc-0004Zq-KX
 for 57626 <at> debbugs.gnu.org; Sat, 10 Sep 2022 04:51:06 -0400
Received: from localhost (110-133-211-201.rev.home.ne.jp [110.133.211.201])
 by smtp1a.inetd.co.jp (Postfix) with ESMTPA id 4FF6A2D7;
 Sat, 10 Sep 2022 17:50:59 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: Arash Esbati <arash@HIDDEN>
Subject: Re: bug#57626: 13.1.4; cases* environment doesn't let me use $
In-reply-to: <86y1urllqt.fsf@HIDDEN>
References: <CAA7+TwMihto+nUwD=_VPh9H1vcNmDumFQ2ojc8KjnM4h3f7m0Q@HIDDEN>
 <86r10ntq36.fsf@HIDDEN> <29112.1662570821@localhost>
 <86k06cx4q3.fsf@HIDDEN> <46863.1662792099@localhost>
 <86y1urllqt.fsf@HIDDEN>
Comments: In-reply-to Arash Esbati <arash@HIDDEN>
 message dated "Sat, 10 Sep 2022 09:41:30 +0200."
X-Mailer: MH-E 8.6+git; nmh 1.7.1; GNU Emacs 28.1
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-ID: <48287.1662799857.1@localhost>
Date: Sat, 10 Sep 2022 17:50:58 +0900
Message-ID: <48290.1662799858@localhost>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57626
Cc: 57626 <at> debbugs.gnu.org,
 Wierdl =?iso-8859-1?Q?M=E1t=E9?= <wierdlmate@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> Arash Esbati <arash@HIDDEN> writes:
>> Then, how about adding supplementary instruction to the message which
>> `TeX-insert-dollar' shows? For example,
>> Math mode started with `...' cannot be closed with dollar.  You can
>> insert it anyway by C-q $.

> I'd suggest to say "You can insert it anyway by C-u $" which is more in
> line with the docstring of `TeX-insert-dollar'.  Does it make sense?

Yes, of course.

Bye,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine




Information forwarded to bug-auctex@HIDDEN:
bug#57626; Package auctex. Full text available.

Message received at 57626 <at> debbugs.gnu.org:


Received: (at 57626) by debbugs.gnu.org; 10 Sep 2022 07:41:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 10 03:41:56 2022
Received: from localhost ([127.0.0.1]:36498 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oWv7k-0002pX-8A
	for submit <at> debbugs.gnu.org; Sat, 10 Sep 2022 03:41:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38350)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash@HIDDEN>) id 1oWv7g-0002pH-8J
 for 57626 <at> debbugs.gnu.org; Sat, 10 Sep 2022 03:41:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55322)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arash@HIDDEN>)
 id 1oWv7Y-00077J-Fe; Sat, 10 Sep 2022 03:41:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=hfLsljdppAzXXul1Zp/jZESI56ctuP78k0kTV3BVBxM=; b=Pu1KxSA9yHzoxqVbydrg
 4qf5Jxc+sToHOtyTt0GyWLfGqgDVpUNv9L/RykcNzUc6Oc+D4QzFpHR1BjqKTjbgYIokQCRvUkzrm
 RICs6qX1zh6Zi9hvhJhBFLqqAUMMNzgqeo93LjvzihD8JTexV4sy2Dqe/fEUcZPsSIo/0kg94RrT9
 XWtMnSHJGUdyIdfbROGdJJE8bJshMjAZV0LrrIfQubTlkJrY5PYuew7XrwtTXDv6fDej6c25u+mZr
 MhPSHqtxrshLqmmNKQMSiynqUTcJygJGlnOJjwyGlnCp7iRyRNYGnf/7h3WJ4MNESn7DT4k/AGEX9
 58TQOOyozlFe0w==;
Received: from pd9fb77f7.dip0.t-ipconnect.de ([217.251.119.247]:63101
 helo=MUTANT)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arash@HIDDEN>)
 id 1oWv7Y-00053V-3r; Sat, 10 Sep 2022 03:41:44 -0400
From: Arash Esbati <arash@HIDDEN>
To: Ikumi Keita <ikumi@HIDDEN>
Subject: Re: bug#57626: 13.1.4; cases* environment doesn't let me use $
In-Reply-To: <46863.1662792099@localhost> (Ikumi Keita's message of "Sat, 10
 Sep 2022 15:41:39 +0900")
References: <CAA7+TwMihto+nUwD=_VPh9H1vcNmDumFQ2ojc8KjnM4h3f7m0Q@HIDDEN>
 <86r10ntq36.fsf@HIDDEN> <29112.1662570821@localhost>
 <86k06cx4q3.fsf@HIDDEN> <46863.1662792099@localhost>
Date: Sat, 10 Sep 2022 09:41:30 +0200
Message-ID: <86y1urllqt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57626
Cc: 57626 <at> debbugs.gnu.org,
 Wierdl =?iso-8859-1?Q?M=E1t=E9?= <wierdlmate@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Keita,

Ikumi Keita <ikumi@HIDDEN> writes:

>>>>>> Arash Esbati <arash@HIDDEN> writes:
>> You mean in case a user says: "Dammit AUCTeX, I know what I'm doing,
>> insert what I type!"
>
> Rather, "What happened? Not sure, but I type $ again in case I actually
> did something wrong instead of typing $ correctly." ;-)

That seems to be a different user from the one I meant ;-)

>> Regardless of this, I think adding the cases entries above to
>> `texmathp-tex-commands-default' would make sense and cures the issue at
>> hand.  WDYT?
>
> I'm reluctant to take this approach. If `texmathp' regards the first
> column of those envs as non-math, it invalidates math-mode aware
> features such as automatic switching between \mathrm and \textrm for C-c
> C-f C-r, providing {}-pair for "_" and "^" with non-nil
> `TeX-electric-sub-and-superscript'.

Yes, one side of the cases will suffer.

> Then, how about adding supplementary instruction to the message which
> `TeX-insert-dollar' shows? For example,
> Math mode started with `...' cannot be closed with dollar.  You can
> insert it anyway by C-q $.

I'd suggest to say "You can insert it anyway by C-u $" which is more in
line with the docstring of `TeX-insert-dollar'.  Does it make sense?

Best, Arash




Information forwarded to bug-auctex@HIDDEN:
bug#57626; Package auctex. Full text available.

Message received at 57626 <at> debbugs.gnu.org:


Received: (at 57626) by debbugs.gnu.org; 10 Sep 2022 06:41:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 10 02:41:44 2022
Received: from localhost ([127.0.0.1]:36418 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oWuBU-0001DA-DQ
	for submit <at> debbugs.gnu.org; Sat, 10 Sep 2022 02:41:44 -0400
Received: from smtp1a.inetd.co.jp ([210.129.88.11]:56074)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1oWuBS-0001Cy-1b
 for 57626 <at> debbugs.gnu.org; Sat, 10 Sep 2022 02:41:43 -0400
Received: from localhost (110-133-211-201.rev.home.ne.jp [110.133.211.201])
 by smtp1a.inetd.co.jp (Postfix) with ESMTPA id C00E32D7;
 Sat, 10 Sep 2022 15:41:39 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: Arash Esbati <arash@HIDDEN>
Subject: Re: bug#57626: 13.1.4; cases* environment doesn't let me use $
In-reply-to: <86k06cx4q3.fsf@HIDDEN>
References: <CAA7+TwMihto+nUwD=_VPh9H1vcNmDumFQ2ojc8KjnM4h3f7m0Q@HIDDEN>
 <86r10ntq36.fsf@HIDDEN> <29112.1662570821@localhost>
 <86k06cx4q3.fsf@HIDDEN>
Comments: In-reply-to Arash Esbati <arash@HIDDEN>
 message dated "Fri, 09 Sep 2022 11:43:48 +0200."
X-Mailer: MH-E 8.6+git; nmh 1.7.1; GNU Emacs 28.1
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-ID: <46861.1662792099.1@localhost>
Date: Sat, 10 Sep 2022 15:41:39 +0900
Message-ID: <46863.1662792099@localhost>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57626
Cc: 57626 <at> debbugs.gnu.org,
 Wierdl =?iso-8859-1?Q?M=E1t=E9?= <wierdlmate@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Arash,

>>>>> Arash Esbati <arash@HIDDEN> writes:
> You mean in case a user says: "Dammit AUCTeX, I know what I'm doing,
> insert what I type!"

Rather, "What happened? Not sure, but I type $ again in case I actually
did something wrong instead of typing $ correctly." ;-)

> Now one could argue that " does the same in terms of insert `` first and
> upon second invocation replace that with ", but I'm not sure $ should do
> the same.

Hm, indeed.

>>> ("cases*"   env-off)
>>> ("dcases*"  env-off)
>>> ("rcases*"  env-off) 
>>> ("drcases*" env-off)

> Regardless of this, I think adding the cases entries above to
> `texmathp-tex-commands-default' would make sense and cures the issue at
> hand.  WDYT?

I'm reluctant to take this approach. If `texmathp' regards the first
column of those envs as non-math, it invalidates math-mode aware
features such as automatic switching between \mathrm and \textrm for C-c
C-f C-r, providing {}-pair for "_" and "^" with non-nil
`TeX-electric-sub-and-superscript'.

Then, how about adding supplementary instruction to the message which
`TeX-insert-dollar' shows? For example,
Math mode started with `...' cannot be closed with dollar.  You can
insert it anyway by C-q $.

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine




Information forwarded to bug-auctex@HIDDEN:
bug#57626; Package auctex. Full text available.

Message received at 57626 <at> debbugs.gnu.org:


Received: (at 57626) by debbugs.gnu.org; 9 Sep 2022 09:44:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 09 05:44:14 2022
Received: from localhost ([127.0.0.1]:60902 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oWaYY-0000Pj-7K
	for submit <at> debbugs.gnu.org; Fri, 09 Sep 2022 05:44:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37438)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash@HIDDEN>) id 1oWaYV-0000PV-CX
 for 57626 <at> debbugs.gnu.org; Fri, 09 Sep 2022 05:44:13 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33282)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arash@HIDDEN>)
 id 1oWaYO-0001Sm-9z; Fri, 09 Sep 2022 05:44:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=4Bwpd+1y/OkeLeAuMmfJl9s6skAX3kVvQEqOhscW7UU=; b=qTZOIiYfuxpJkcG+ex2j
 NXctamIxhGVjlkA2pBFIGlY2jQKXRCBZPgQxBOfAoWhaw4RK0W03NA32TpH41ElPS9yqsMIzxpCEp
 MUlfxAS5sIOdgcgHCCR7TXsrToK2aOiveLyNnu7ozS7ETGJNT9+0Y/2PMa5cvCDcLTPG+2TleTB2L
 P/4W8w+sU5l9qlFipz48g/l9/MohB/aaXZeTxApMih06qr70Ow12gREkGkO57w0unjMlSt2xiFjOw
 S+F2N+P4VSdLzvpm76uBB6i2KCGQXl99aYy/NJFKxhwfee1+DID7vW+JzHMVyLmNBdV/a6tTcG25w
 fnWOVIbQHXN7Ug==;
Received: from pd9fb77f7.dip0.t-ipconnect.de ([217.251.119.247]:52972
 helo=MUTANT)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arash@HIDDEN>)
 id 1oWaYM-0005up-Kc; Fri, 09 Sep 2022 05:44:04 -0400
From: Arash Esbati <arash@HIDDEN>
To: Ikumi Keita <ikumi@HIDDEN>
Subject: Re: bug#57626: 13.1.4; cases* environment doesn't let me use $
In-Reply-To: <29112.1662570821@localhost> (Ikumi Keita's message of "Thu, 08
 Sep 2022 02:13:41 +0900")
References: <CAA7+TwMihto+nUwD=_VPh9H1vcNmDumFQ2ojc8KjnM4h3f7m0Q@HIDDEN>
 <86r10ntq36.fsf@HIDDEN> <29112.1662570821@localhost>
Date: Fri, 09 Sep 2022 11:43:48 +0200
Message-ID: <86k06cx4q3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57626
Cc: 57626 <at> debbugs.gnu.org,
 Wierdl =?iso-8859-1?Q?M=E1t=E9?= <wierdlmate@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Keita,

Ikumi Keita <ikumi@HIDDEN> writes:

> Ah, it's the same as
> https://tex.stackexchange.com/questions/578900/auctex-math-mode-started-with-cannot-be-closed-with-dollar-in-cases
> ...
> As written there, temporal workaround is to type C-u $ or C-q $ to
> insert "$" in such a case.

Ah, thanks for reminding me.  The question sounded familiar to me :-)

>>>>>> Arash Esbati <arash@HIDDEN> writes:
>> I think this a corner case where half of a environment is math and the
>> other half text.  AUCTeX thinks that the entire environment is math and
>> hence throws an error.  I don't have a strong opinion about this, we can
>> add some entries like this to `texmathp-tex-commands-default':
>
>>     ("cases*"   env-off)
>>     ("dcases*"  env-off)
>>     ("rcases*"  env-off) 
>>     ("drcases*" env-off)
>
>> What do others think?
>
> In my opinion, `TeX-insert-dollar' is too patriarchal in this case. The
> intention of `texmathp' is apparently to be "practical enough", not
> "precise". It sometimes by design gives false positives and false
> negatives, which we should anticipate.
>
> How about to allow insertion of "$" (or anything according to
> `TeX-electric-math') when `last-command' is `TeX-insert-dollar' in a
> case like this issue? I suppose that most users would type "$" again
> before seeing "Math mode started with `...' cannot be closed with
> dollar" when "$" is refused unexpectedly.

You mean in case a user says: "Dammit AUCTeX, I know what I'm doing,
insert what I type!"  Checking `last-command' might be a solution, but
is it worth to introduce it where 'C-q <char>' is already available?
Now one could argue that " does the same in terms of insert `` first and
upon second invocation replace that with ", but I'm not sure $ should do
the same.  But I don't have a strong opinion on this, if you think we
should change this, please go ahead :-)

Regardless of this, I think adding the cases entries above to
`texmathp-tex-commands-default' would make sense and cures the issue at
hand.  WDYT?

Best, Arash




Information forwarded to bug-auctex@HIDDEN:
bug#57626; Package auctex. Full text available.

Message received at 57626 <at> debbugs.gnu.org:


Received: (at 57626) by debbugs.gnu.org; 7 Sep 2022 17:13:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 07 13:13:49 2022
Received: from localhost ([127.0.0.1]:55999 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVycX-0005mb-3Y
	for submit <at> debbugs.gnu.org; Wed, 07 Sep 2022 13:13:49 -0400
Received: from smtp1a.inetd.co.jp ([210.129.88.11]:47380)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1oVycT-0005mO-Hz
 for 57626 <at> debbugs.gnu.org; Wed, 07 Sep 2022 13:13:47 -0400
Received: from localhost (110-133-211-201.rev.home.ne.jp [110.133.211.201])
 by smtp1a.inetd.co.jp (Postfix) with ESMTPA id CBD552DC;
 Thu,  8 Sep 2022 02:13:42 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: Arash Esbati <arash@HIDDEN>
Subject: Re: bug#57626: 13.1.4; cases* environment doesn't let me use $
In-reply-to: <86r10ntq36.fsf@HIDDEN>
References: <CAA7+TwMihto+nUwD=_VPh9H1vcNmDumFQ2ojc8KjnM4h3f7m0Q@HIDDEN>
 <86r10ntq36.fsf@HIDDEN>
Comments: In-reply-to Arash Esbati <arash@HIDDEN>
 message dated "Wed, 07 Sep 2022 12:51:25 +0200."
X-Mailer: MH-E 8.6+git; nmh 1.7.1; GNU Emacs 28.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Date: Thu, 08 Sep 2022 02:13:41 +0900
Message-ID: <29112.1662570821@localhost>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57626
Cc: 57626 <at> debbugs.gnu.org,
 Wierdl =?UTF-8?Q?M=C3=A1t=C3=A9?= <wierdlmate@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Wierdl and Arash,

> Wierdl M=C3=A1t=C3=A9 <wierdlmate@HIDDEN> writes:
>> \begin{equation}
>> \label{eq:240}
>> Tx=3D
>> \begin{dcases*}
>> 1& if=20
>> \end{dcases*}
>> \end{equation}
>>=20
>> and after "if" a I try to enter a formula, but auctex says in the
>> minibuffer
>>=20
>> "Math mode started with =E2=80=98equation=E2=80=99 cannot be closed with=
 dollar"
>>=20
>> I should be able to enter a $ in text mode.

Ah, it's the same as https://tex.stackexchange.com/questions/578900/auctex-=
math-mode-started-with-cannot-be-closed-with-dollar-in-cases
...
As written there, temporal workaround is to type C-u $ or C-q $ to
insert "$" in such a case.

>>>>> Arash Esbati <arash@HIDDEN> writes:
> I think this a corner case where half of a environment is math and the
> other half text.  AUCTeX thinks that the entire environment is math and
> hence throws an error.  I don't have a strong opinion about this, we can
> add some entries like this to `texmathp-tex-commands-default':

>     ("cases*"   env-off)
>     ("dcases*"  env-off)
>     ("rcases*"  env-off)=20
>     ("drcases*" env-off)

> What do others think?

In my opinion, `TeX-insert-dollar' is too patriarchal in this case. The
intention of `texmathp' is apparently to be "practical enough", not
"precise". It sometimes by design gives false positives and false
negatives, which we should anticipate.

How about to allow insertion of "$" (or anything according to
`TeX-electric-math') when `last-command' is `TeX-insert-dollar' in a
case like this issue? I suppose that most users would type "$" again
before seeing "Math mode started with `...' cannot be closed with
dollar" when "$" is refused unexpectedly.

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine




Information forwarded to bug-auctex@HIDDEN:
bug#57626; Package auctex. Full text available.

Message received at 57626 <at> debbugs.gnu.org:


Received: (at 57626) by debbugs.gnu.org; 7 Sep 2022 10:51:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 07 06:51:50 2022
Received: from localhost ([127.0.0.1]:53647 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVses-0005pn-Bb
	for submit <at> debbugs.gnu.org; Wed, 07 Sep 2022 06:51:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48722)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arash@HIDDEN>) id 1oVseo-0005pZ-CC
 for 57626 <at> debbugs.gnu.org; Wed, 07 Sep 2022 06:51:49 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49798)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arash@HIDDEN>)
 id 1oVsej-0001P1-2x; Wed, 07 Sep 2022 06:51:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=qmPC40BW0Os11NFGYctjvwBbs252hds9vF8bcl3laGc=; b=TwwPg3d0t9Gnn/WVRioC
 xtmBTt79GzFcMc3nlTuX8EbJvw+s1tk/kERJz9RajxDBD33MEyQaDRe2GK3yULWIIJt1mr7HnveMC
 G7fYrU45BVYIXkoewqVxtKAAsVxxwx6qf2lyoj2dIioBwIqrD35tBt5vUHrRL1BuZyc3EgKKK4BlT
 PAHD5Dhf8ne5ESXd1zvzJXovqLTALQrJmB8DqT+JlcQ191AJCKj0nurtuXBbuXjniAeBSONU6Hb1t
 0O0oCpga8LVx+EcgWMkRqouRBNG9J+UocAk1yCgK7uGBj7TAewyWTU2LrF69n8xRU0mFybFYNJtiw
 BlOn/i2hcocdPQ==;
Received: from pd9fb77f7.dip0.t-ipconnect.de ([217.251.119.247]:62191
 helo=MUTANT)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <arash@HIDDEN>)
 id 1oVsei-0000lN-LT; Wed, 07 Sep 2022 06:51:40 -0400
From: Arash Esbati <arash@HIDDEN>
To: Wierdl =?iso-8859-1?Q?M=E1t=E9?= <wierdlmate@HIDDEN>
Subject: Re: bug#57626: 13.1.4; cases* environment doesn't let me use $
In-Reply-To: <CAA7+TwMihto+nUwD=_VPh9H1vcNmDumFQ2ojc8KjnM4h3f7m0Q@HIDDEN>
 ("Wierdl =?iso-8859-1?Q?M=E1t=E9=22's?= message of "Tue, 6 Sep 2022
 06:11:15 -0500")
References: <CAA7+TwMihto+nUwD=_VPh9H1vcNmDumFQ2ojc8KjnM4h3f7m0Q@HIDDEN>
Date: Wed, 07 Sep 2022 12:51:25 +0200
Message-ID: <86r10ntq36.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57626
Cc: 57626 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi M=C3=A1t=C3=A9,

Wierdl M=C3=A1t=C3=A9 <wierdlmate@HIDDEN> writes:

> In a cases* environment (from mathtools package), I try to enter math
> mode in the "text column", but auctex doesn't let me enter a $.
>
> So I have
>
> \begin{equation}
>   \label{eq:240}
>   Tx=3D
>   \begin{dcases*}
>     1& if=20
>   \end{dcases*}
> \end{equation}
>
> and after "if" a I try to enter a formula, but auctex says in the
> minibuffer
>
> "Math mode started with =E2=80=98equation=E2=80=99 cannot be closed with =
dollar"
>
> I should be able to enter a $ in text mode.

Thanks for the report.  Can you please add the next 2 lines in your .tex
file and eval them, i.e., hit 'C-x C-e' after ')' and see if it then
works as expected?

    (add-to-list 'texmathp-tex-commands '("dcases*" env-off) t)
    (texmathp-compile)

I think this a corner case where half of a environment is math and the
other half text.  AUCTeX thinks that the entire environment is math and
hence throws an error.  I don't have a strong opinion about this, we can
add some entries like this to `texmathp-tex-commands-default':

    ("cases*"   env-off)
    ("dcases*"  env-off)
    ("rcases*"  env-off)=20
    ("drcases*" env-off)

What do others think?

Best, Arash




Information forwarded to bug-auctex@HIDDEN:
bug#57626; Package auctex. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Sep 2022 14:54:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 10:54:14 2022
Received: from localhost ([127.0.0.1]:52280 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVZxs-0003Jh-Va
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 10:54:14 -0400
Received: from lists.gnu.org ([209.51.188.17]:41968)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wierdlmate@HIDDEN>) id 1oVWUd-0006LE-Hv
 for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 07:11:48 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34090)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <wierdlmate@HIDDEN>)
 id 1oVWUY-0000HY-Uy
 for bug-auctex@HIDDEN; Tue, 06 Sep 2022 07:11:43 -0400
Received: from mail-wm1-x335.google.com ([2a00:1450:4864:20::335]:55074)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <wierdlmate@HIDDEN>)
 id 1oVWUS-00072Q-HE
 for bug-auctex@HIDDEN; Tue, 06 Sep 2022 07:11:40 -0400
Received: by mail-wm1-x335.google.com with SMTP id s23so6683160wmj.4
 for <bug-auctex@HIDDEN>; Tue, 06 Sep 2022 04:11:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:subject:message-id:date:from:mime-version:from:to:cc:subject
 :date; bh=MN/oN663Laq7ce2xAHfNjtAvcbjOSBZd0VVecMKHMn8=;
 b=ZkaQVZRUJaBg57lXdTRwXkH5XWVkr4N+bJnsKppYwL0VHBYyYQN3iu0eZ+O06OoZWN
 qqyNAG/O133vJS3NejFXCC3t3ZYJSOjrmZW9oZq2sOSskhxBPKQjSiETVru5vzf6UW1D
 On5YSs6bAIzy98J32hEq1BC988JJf3EVD/n6KygXHGr6vR2vl8KmfFEMjSbo0rHEIzdB
 w6wT1CIPmbhTAAkw2KH1zMojoznEFRAzuUuXJY1O30sbVjsR3IBis1vnwpgjzo+R2gfL
 NjoEjoSFE0ojlkwW/jsvx3mVMs7yUsyX1he10vcNuq36kbnyRohNf4m5szbpoF0BN7Th
 ml6w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:subject:message-id:date:from:mime-version:x-gm-message-state
 :from:to:cc:subject:date;
 bh=MN/oN663Laq7ce2xAHfNjtAvcbjOSBZd0VVecMKHMn8=;
 b=l74jOJ7lPLk81LQzRniA7T0tuO2q7t4dkMOWsRHT0p4AtcRvOfug5MnWJ6BWUwQZM0
 utDX9I5QR6wnN1uBOgVS7I9u1O6WZM3iQhEuBiAP82VCxH3TILc4GgX5uqwceetFX/ps
 U61FypEy8gH1keH7pCDO3TxSyZqpVTRiDAQNLGnu/Gw//f6iuflsKniefqK37mwgd08o
 Z5A5m5jJli/YBr1sZ9FTIbrqICrXbS4MLOcfL9o9FDmI1O3JLa9x0rWTJnvBPUnytU/p
 2BFSscL5Wi/uRDbfPXx9NdOkFsgNvUy2z7hXBEbU4eguzcm6aoAiNfibJGDS6cweEvrL
 fJtw==
X-Gm-Message-State: ACgBeo3jIzkYwJcHZzezXz9t8JAbkmZQ3z/1eiv4T/jJXlCqGD64XuUb
 r7hDTXmYVREN+zeCUgiV6MLHeJnQRaWzsYrI1Rp/3LYJVk0SjXvr
X-Google-Smtp-Source: AA6agR5hdqeIoXLub8M1L3M3szjqjY+ZugZBBJQDKalhKJcpoyYx2v7El1WaRSTDSK2CpV1h1usZLnSWV6TVCWAilrM=
X-Received: by 2002:a05:600c:2242:b0:3a8:4007:bc5e with SMTP id
 a2-20020a05600c224200b003a84007bc5emr12799037wmm.99.1662462687183; Tue, 06
 Sep 2022 04:11:27 -0700 (PDT)
MIME-Version: 1.0
From: =?UTF-8?B?V2llcmRsIE3DoXTDqQ==?= <wierdlmate@HIDDEN>
Date: Tue, 6 Sep 2022 06:11:15 -0500
Message-ID: <CAA7+TwMihto+nUwD=_VPh9H1vcNmDumFQ2ojc8KjnM4h3f7m0Q@HIDDEN>
Subject: 13.1.4; cases* environment doesn't let me use $
To: bug-auctex@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000ec074705e80041fd"
Received-SPF: pass client-ip=2a00:1450:4864:20::335;
 envelope-from=wierdlmate@HIDDEN; helo=mail-wm1-x335.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 06 Sep 2022 10:54:08 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000ec074705e80041fd
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

In a cases* environment (from mathtools package), I try to enter math
mode in the "text column", but auctex doesn't let me enter a $.

So I have

\begin{equation}
  \label{eq:240}
  Tx=3D
  \begin{dcases*}
    1& if
  \end{dcases*}
\end{equation}

and after "if" a I try to enter a formula, but auctex says in the
minibuffer

"Math mode started with =E2=80=98equation=E2=80=99 cannot be closed with do=
llar"

I should be able to enter a $ in text mode.

Thanks.

Emacs  : GNU Emacs 28.1 (build 1, x86_64-redhat-linux-gnu, GTK+ Version
3.24.34, cairo version 1.17.6)
 of 2022-07-15
Package: 13.1.4

current state:
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
(setq
 AUCTeX-date "2022-08-26"
 window-system 'x
 LaTeX-version "2e"
 TeX-style-path '("~/.emacs.d/auctex"
 "/home/apu/.emacs.d/elpa/auctex-13.1.4/style"
 "/home/apu/.emacs.d/auctex/auto"
 "/home/apu/.emacs.d/auctex/style" "auto" "style")
 TeX-auto-save t
 TeX-parse-self t
 TeX-master "main"
 TeX-command-list '(("TeX"
    "%(PDF)%(tex) %(file-line-error) %`%(extraopts) %S%(PDFout)%(mode)%'
%(output-dir) %t"
    TeX-run-TeX nil
    (plain-tex-mode ams-tex-mode texinfo-mode) :help
    "Run plain TeX")
   ("LaTeX" "%`%l%(mode)%' %T" TeX-run-TeX nil
    (latex-mode doctex-mode) :help "Run LaTeX")
   ("Makeinfo" "makeinfo %(extraopts) %(o-dir) %t"
    TeX-run-compile nil (texinfo-mode) :help
    "Run Makeinfo with Info output")
   ("Makeinfo HTML"
    "makeinfo %(extraopts) %(o-dir) --html %t"
    TeX-run-compile nil (texinfo-mode) :help
    "Run Makeinfo with HTML output")
   ("AmSTeX"
    "amstex %(PDFout) %`%(extraopts) %S%(mode)%' %(output-dir) %t"
    TeX-run-TeX nil (ams-tex-mode) :help "Run AMSTeX")
   ("ConTeXt"
    "%(cntxcom) --once --texutil %(extraopts) %(execopts)%t"
    TeX-run-TeX nil (context-mode) :help "Run ConTeXt once")
   ("ConTeXt Full" "%(cntxcom) %(extraopts) %(execopts)%t"
    TeX-run-TeX nil (context-mode) :help
    "Run ConTeXt until completion")
   ("BibTeX" "bibtex %(O?aux)" TeX-run-BibTeX nil
    (plain-tex-mode latex-mode doctex-mode ams-tex-mode
     texinfo-mode context-mode)
    :help "Run BibTeX")
   ("Biber" "biber %(output-dir) %s" TeX-run-Biber nil
    (plain-tex-mode latex-mode doctex-mode ams-tex-mode
     texinfo-mode)
    :help "Run Biber")
   ("Texindex" "texindex %s.??" TeX-run-command nil
    (texinfo-mode) :help "Run Texindex")
   ("Texi2dvi" "%(PDF)texi2dvi %t" TeX-run-command nil
    (texinfo-mode) :help "Run Texi2dvi or Texi2pdf")
   ("View" "%V" TeX-run-discard-or-function t t :help
    "Run Viewer")
   ("Print" "%p" TeX-run-command t t :help "Print the file")
   ("Queue" "%q" TeX-run-background nil t :help
    "View the printer queue" :visible TeX-queue-command)
   ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t
    (plain-tex-mode latex-mode doctex-mode ams-tex-mode
     texinfo-mode)
    :help "Generate PostScript file")
   ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil
    (plain-tex-mode latex-mode doctex-mode ams-tex-mode
     texinfo-mode)
    :help "Convert DVI file to PostScript")
   ("Dvipdfmx" "dvipdfmx -o %(O?pdf) %d" TeX-run-dvipdfmx nil
    (plain-tex-mode latex-mode doctex-mode ams-tex-mode
     texinfo-mode)
    :help "Convert DVI file to PDF with dvipdfmx")
   ("Ps2pdf" "ps2pdf %f %(O?pdf)" TeX-run-ps2pdf nil
    (plain-tex-mode latex-mode doctex-mode ams-tex-mode
     texinfo-mode)
    :help "Convert PostScript file to PDF")
   ("Glossaries" "makeglossaries %(d-dir) %s" TeX-run-command
    nil
    (plain-tex-mode latex-mode doctex-mode ams-tex-mode
     texinfo-mode)
    :help "Run makeglossaries to create glossary file")
   ("Index" "makeindex %(O?idx)" TeX-run-index nil
    (plain-tex-mode latex-mode doctex-mode ams-tex-mode
     texinfo-mode)
    :help "Run makeindex to create index file")
   ("upMendex" "upmendex %(O?idx)" TeX-run-index t
    (plain-tex-mode latex-mode doctex-mode ams-tex-mode
     texinfo-mode)
    :help "Run upmendex to create index file")
   ("Xindy" "texindy %s" TeX-run-command nil
    (plain-tex-mode latex-mode doctex-mode ams-tex-mode
     texinfo-mode)
    :help "Run xindy to create index file")
   ("Check" "lacheck %s" TeX-run-compile nil (latex-mode)
    :help "Check LaTeX file for correctness")
   ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode)
    :help "Check LaTeX file for common mistakes")
   ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil
    t :help "Spell-check the document")
   ("Clean" "TeX-clean" TeX-run-function nil t :help
    "Delete generated intermediate files")
   ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help
    "Delete generated intermediate and output files")
   ("Other" "" TeX-run-command t t :help
    "Run an arbitrary command")
   )
 )

--000000000000ec074705e80041fd
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-family:garamond=
,&quot;times new roman&quot;,serif;font-size:large"></div><br>In a cases* e=
nvironment (from mathtools package), I try to enter math<br>mode in the &qu=
ot;text column&quot;, but auctex doesn&#39;t let me enter a $.<br><br>So I =
have<br><br>\begin{equation}<br>=C2=A0 \label{eq:240}<br>=C2=A0 Tx=3D<br>=
=C2=A0 \begin{dcases*}<br>=C2=A0 =C2=A0 1&amp; if <br>=C2=A0 \end{dcases*}<=
br>\end{equation}<br><br>and after &quot;if&quot; a I try to enter a formul=
a, but auctex says in the<br>minibuffer<br><br>&quot;Math mode started with=
 =E2=80=98equation=E2=80=99 cannot be closed with dollar&quot;<br><br>I sho=
uld be able to enter a $ in text mode.<br><br>Thanks. <br><br>Emacs =C2=A0:=
 GNU Emacs 28.1 (build 1, x86_64-redhat-linux-gnu, GTK+ Version 3.24.34, ca=
iro version 1.17.6)<br>=C2=A0of 2022-07-15<br>Package: 13.1.4<br><br>curren=
t state:<br>=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D<br>(setq<br>=C2=A0AU=
CTeX-date &quot;2022-08-26&quot;<br>=C2=A0window-system &#39;x<br>=C2=A0LaT=
eX-version &quot;2e&quot;<br>=C2=A0TeX-style-path &#39;(&quot;~/.emacs.d/au=
ctex&quot;<br>		 =C2=A0&quot;/home/apu/.emacs.d/elpa/auctex-13.1.4/style&qu=
ot;<br>		 =C2=A0&quot;/home/apu/.emacs.d/auctex/auto&quot;<br>		 =C2=A0&quo=
t;/home/apu/.emacs.d/auctex/style&quot; &quot;auto&quot; &quot;style&quot;)=
<br>=C2=A0TeX-auto-save t<br>=C2=A0TeX-parse-self t<br>=C2=A0TeX-master &qu=
ot;main&quot;<br>=C2=A0TeX-command-list &#39;((&quot;TeX&quot;<br>		 =C2=A0=
 =C2=A0 &quot;%(PDF)%(tex) %(file-line-error) %`%(extraopts) %S%(PDFout)%(m=
ode)%&#39; %(output-dir) %t&quot;<br>		 =C2=A0 =C2=A0 TeX-run-TeX nil<br>		=
 =C2=A0 =C2=A0 (plain-tex-mode ams-tex-mode texinfo-mode) :help<br>		 =C2=
=A0 =C2=A0 &quot;Run plain TeX&quot;)<br>		 =C2=A0 =C2=A0(&quot;LaTeX&quot;=
 &quot;%`%l%(mode)%&#39; %T&quot; TeX-run-TeX nil<br>		 =C2=A0 =C2=A0 (late=
x-mode doctex-mode) :help &quot;Run LaTeX&quot;)<br>		 =C2=A0 =C2=A0(&quot;=
Makeinfo&quot; &quot;makeinfo %(extraopts) %(o-dir) %t&quot;<br>		 =C2=A0 =
=C2=A0 TeX-run-compile nil (texinfo-mode) :help<br>		 =C2=A0 =C2=A0 &quot;R=
un Makeinfo with Info output&quot;)<br>		 =C2=A0 =C2=A0(&quot;Makeinfo HTML=
&quot;<br>		 =C2=A0 =C2=A0 &quot;makeinfo %(extraopts) %(o-dir) --html %t&q=
uot;<br>		 =C2=A0 =C2=A0 TeX-run-compile nil (texinfo-mode) :help<br>		 =C2=
=A0 =C2=A0 &quot;Run Makeinfo with HTML output&quot;)<br>		 =C2=A0 =C2=A0(&=
quot;AmSTeX&quot;<br>		 =C2=A0 =C2=A0 &quot;amstex %(PDFout) %`%(extraopts)=
 %S%(mode)%&#39; %(output-dir) %t&quot;<br>		 =C2=A0 =C2=A0 TeX-run-TeX nil=
 (ams-tex-mode) :help &quot;Run AMSTeX&quot;)<br>		 =C2=A0 =C2=A0(&quot;Con=
TeXt&quot;<br>		 =C2=A0 =C2=A0 &quot;%(cntxcom) --once --texutil %(extraopt=
s) %(execopts)%t&quot;<br>		 =C2=A0 =C2=A0 TeX-run-TeX nil (context-mode) :=
help &quot;Run ConTeXt once&quot;)<br>		 =C2=A0 =C2=A0(&quot;ConTeXt Full&q=
uot; &quot;%(cntxcom) %(extraopts) %(execopts)%t&quot;<br>		 =C2=A0 =C2=A0 =
TeX-run-TeX nil (context-mode) :help<br>		 =C2=A0 =C2=A0 &quot;Run ConTeXt =
until completion&quot;)<br>		 =C2=A0 =C2=A0(&quot;BibTeX&quot; &quot;bibtex=
 %(O?aux)&quot; TeX-run-BibTeX nil<br>		 =C2=A0 =C2=A0 (plain-tex-mode late=
x-mode doctex-mode ams-tex-mode<br>		 =C2=A0 =C2=A0 =C2=A0texinfo-mode cont=
ext-mode)<br>		 =C2=A0 =C2=A0 :help &quot;Run BibTeX&quot;)<br>		 =C2=A0 =
=C2=A0(&quot;Biber&quot; &quot;biber %(output-dir) %s&quot; TeX-run-Biber n=
il<br>		 =C2=A0 =C2=A0 (plain-tex-mode latex-mode doctex-mode ams-tex-mode<=
br>		 =C2=A0 =C2=A0 =C2=A0texinfo-mode)<br>		 =C2=A0 =C2=A0 :help &quot;Run=
 Biber&quot;)<br>		 =C2=A0 =C2=A0(&quot;Texindex&quot; &quot;texindex %s.??=
&quot; TeX-run-command nil<br>		 =C2=A0 =C2=A0 (texinfo-mode) :help &quot;R=
un Texindex&quot;)<br>		 =C2=A0 =C2=A0(&quot;Texi2dvi&quot; &quot;%(PDF)tex=
i2dvi %t&quot; TeX-run-command nil<br>		 =C2=A0 =C2=A0 (texinfo-mode) :help=
 &quot;Run Texi2dvi or Texi2pdf&quot;)<br>		 =C2=A0 =C2=A0(&quot;View&quot;=
 &quot;%V&quot; TeX-run-discard-or-function t t :help<br>		 =C2=A0 =C2=A0 &=
quot;Run Viewer&quot;)<br>		 =C2=A0 =C2=A0(&quot;Print&quot; &quot;%p&quot;=
 TeX-run-command t t :help &quot;Print the file&quot;)<br>		 =C2=A0 =C2=A0(=
&quot;Queue&quot; &quot;%q&quot; TeX-run-background nil t :help<br>		 =C2=
=A0 =C2=A0 &quot;View the printer queue&quot; :visible TeX-queue-command)<b=
r>		 =C2=A0 =C2=A0(&quot;File&quot; &quot;%(o?)dvips %d -o %f &quot; TeX-ru=
n-dvips t<br>		 =C2=A0 =C2=A0 (plain-tex-mode latex-mode doctex-mode ams-te=
x-mode<br>		 =C2=A0 =C2=A0 =C2=A0texinfo-mode)<br>		 =C2=A0 =C2=A0 :help &q=
uot;Generate PostScript file&quot;)<br>		 =C2=A0 =C2=A0(&quot;Dvips&quot; &=
quot;%(o?)dvips %d -o %f &quot; TeX-run-dvips nil<br>		 =C2=A0 =C2=A0 (plai=
n-tex-mode latex-mode doctex-mode ams-tex-mode<br>		 =C2=A0 =C2=A0 =C2=A0te=
xinfo-mode)<br>		 =C2=A0 =C2=A0 :help &quot;Convert DVI file to PostScript&=
quot;)<br>		 =C2=A0 =C2=A0(&quot;Dvipdfmx&quot; &quot;dvipdfmx -o %(O?pdf) =
%d&quot; TeX-run-dvipdfmx nil<br>		 =C2=A0 =C2=A0 (plain-tex-mode latex-mod=
e doctex-mode ams-tex-mode<br>		 =C2=A0 =C2=A0 =C2=A0texinfo-mode)<br>		 =
=C2=A0 =C2=A0 :help &quot;Convert DVI file to PDF with dvipdfmx&quot;)<br>	=
	 =C2=A0 =C2=A0(&quot;Ps2pdf&quot; &quot;ps2pdf %f %(O?pdf)&quot; TeX-run-p=
s2pdf nil<br>		 =C2=A0 =C2=A0 (plain-tex-mode latex-mode doctex-mode ams-te=
x-mode<br>		 =C2=A0 =C2=A0 =C2=A0texinfo-mode)<br>		 =C2=A0 =C2=A0 :help &q=
uot;Convert PostScript file to PDF&quot;)<br>		 =C2=A0 =C2=A0(&quot;Glossar=
ies&quot; &quot;makeglossaries %(d-dir) %s&quot; TeX-run-command<br>		 =C2=
=A0 =C2=A0 nil<br>		 =C2=A0 =C2=A0 (plain-tex-mode latex-mode doctex-mode a=
ms-tex-mode<br>		 =C2=A0 =C2=A0 =C2=A0texinfo-mode)<br>		 =C2=A0 =C2=A0 :he=
lp &quot;Run makeglossaries to create glossary file&quot;)<br>		 =C2=A0 =C2=
=A0(&quot;Index&quot; &quot;makeindex %(O?idx)&quot; TeX-run-index nil<br>	=
	 =C2=A0 =C2=A0 (plain-tex-mode latex-mode doctex-mode ams-tex-mode<br>		 =
=C2=A0 =C2=A0 =C2=A0texinfo-mode)<br>		 =C2=A0 =C2=A0 :help &quot;Run makei=
ndex to create index file&quot;)<br>		 =C2=A0 =C2=A0(&quot;upMendex&quot; &=
quot;upmendex %(O?idx)&quot; TeX-run-index t<br>		 =C2=A0 =C2=A0 (plain-tex=
-mode latex-mode doctex-mode ams-tex-mode<br>		 =C2=A0 =C2=A0 =C2=A0texinfo=
-mode)<br>		 =C2=A0 =C2=A0 :help &quot;Run upmendex to create index file&qu=
ot;)<br>		 =C2=A0 =C2=A0(&quot;Xindy&quot; &quot;texindy %s&quot; TeX-run-c=
ommand nil<br>		 =C2=A0 =C2=A0 (plain-tex-mode latex-mode doctex-mode ams-t=
ex-mode<br>		 =C2=A0 =C2=A0 =C2=A0texinfo-mode)<br>		 =C2=A0 =C2=A0 :help &=
quot;Run xindy to create index file&quot;)<br>		 =C2=A0 =C2=A0(&quot;Check&=
quot; &quot;lacheck %s&quot; TeX-run-compile nil (latex-mode)<br>		 =C2=A0 =
=C2=A0 :help &quot;Check LaTeX file for correctness&quot;)<br>		 =C2=A0 =C2=
=A0(&quot;ChkTeX&quot; &quot;chktex -v6 %s&quot; TeX-run-compile nil (latex=
-mode)<br>		 =C2=A0 =C2=A0 :help &quot;Check LaTeX file for common mistakes=
&quot;)<br>		 =C2=A0 =C2=A0(&quot;Spell&quot; &quot;(TeX-ispell-document \&=
quot;\&quot;)&quot; TeX-run-function nil<br>		 =C2=A0 =C2=A0 t :help &quot;=
Spell-check the document&quot;)<br>		 =C2=A0 =C2=A0(&quot;Clean&quot; &quot=
;TeX-clean&quot; TeX-run-function nil t :help<br>		 =C2=A0 =C2=A0 &quot;Del=
ete generated intermediate files&quot;)<br>		 =C2=A0 =C2=A0(&quot;Clean All=
&quot; &quot;(TeX-clean t)&quot; TeX-run-function nil t :help<br>		 =C2=A0 =
=C2=A0 &quot;Delete generated intermediate and output files&quot;)<br>		 =
=C2=A0 =C2=A0(&quot;Other&quot; &quot;&quot; TeX-run-command t t :help<br>	=
	 =C2=A0 =C2=A0 &quot;Run an arbitrary command&quot;)<br>		 =C2=A0 =C2=A0)<=
br>=C2=A0)<br><div class=3D"gmail_default" style=3D"font-family:garamond,&q=
uot;times new roman&quot;,serif;font-size:large"></div><div class=3D"gmail_=
default" style=3D"font-family:garamond,times new roman,serif;font-size:larg=
e"><br></div></div>

--000000000000ec074705e80041fd--




Acknowledgement sent to Wierdl Máté <wierdlmate@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-auctex@HIDDEN. Full text available.
Report forwarded to bug-auctex@HIDDEN:
bug#57626; Package auctex. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 14 Sep 2022 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.